Bug 13 - Долгая загрузка рабочего стола в Lts beta
: Долгая загрузка рабочего стола в Lts beta
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 27 28
  Show dependency treegraph
 
Reported: 2012-04-03 18:24 MSD by Anton Peyter
Modified: 2012-04-25 14:19 MSD (History)
5 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Peyter 2012-04-03 18:24:25 MSD
Собственно после ввода пароля в kdm, происходит долгая загрузка рабочего стола!
Проведено тестирование по времени старта:
Со времени ввода пароля и нажатия Enter^
ROSA EE: 17 сек
ROSA LTS Beta:  47 сек
Тестирование проводилось на одной и той же машине Asus N53J
Так же старт на ASUS EeePC 50 сек.
Comment 1 Postnikov Dmitry 2012-04-03 19:10:36 MSD
Так же на компьютере HP Compaq 6715B
Со времени ввода пароля и нажатия Enter:
ROSA EE - 24 сек
ROSA 2012LTS Beta - 56 сек
Тестирование проводилось на одной и той же машине.
Comment 2 Pavel Shved 2012-04-03 20:46:39 MSD
Fixing Platform to i586/x86_64.
Comment 3 Alexander Burmashev 2012-04-05 00:59:57 MSD
Провел ряд экспериментов, попробуйте повторить за мной, получим ли схожие результаты.
Итак за основу берем 188 ЛТС образ.
ВНИМАНИЕ! ВСЕ ДЕЙСТВИЯ ВЫПОЛНЯЕМ НА СВОЙ СТРАХ И РИСК!
Хотя у меня ничего не поломалось, вы все равно рискуете сломать систему ( хотя конечно врядли ).
1) Засекаем время загрузки.
У меня составило от 41 до 47 секунд. Среднее время около 45 секунд.
Засекал по очищенному /var/log/messages

2) Апдейтим систему с наших источников до последних актуальных пакетов.

3) от рута выполняем adduser avahi

4а) Для 64 битной системы подключаем по очереди следующие источники
http://abf.rosalinux.ru/downloads/rosa2012lts/container/udisks-41804/RPMS/

http://abf.rosalinux.ru/downloads/rosa2012lts/container/libkactivities-41758/RPMS/

http://abf.rosalinux.ru/downloads/import_personal/container/kdelibs4-41792/RPMS/

4б) Для 32 битной системы системы подключаем по очереди следующие источники
http://abf.rosalinux.ru/downloads/rosa2012lts/container/udisks-41803/RPMS/

http://abf.rosalinux.ru/downloads/rosa2012lts/container/libkactivities-41757/RPMS/

http://abf.rosalinux.ru/downloads/import_personal/container/kdelibs4-41791/RPMS/

5) апдейтимся с них.

6) выполняем от рута systemctl restart messagebus.service ( Или ребутаемся ).

7) Перезаходим и тестируем время логина повторно.
У меня загрузка начала составлять от 12 до 15 секунд.
Засекал по очищенному /var/log/messages
Comment 4 Aleksandr Kazantcev 2012-04-05 02:04:34 MSD
Вместо adduser avahi лучше сделать добавление источников и

urpmi --replacepkg avahi
Comment 5 Aleksandr Kazantcev 2012-04-05 02:19:04 MSD
У меня быстрее, но где-то вместо 40 секунд 20-25.

Как я понимаю это пакеты от 4.8.2 и нам просто надо перейти на нее.

А пока собрать для беты с этими пакетами.
Comment 6 Alexander Burmashev 2012-04-05 02:20:49 MSD
ну да, kdelibs апнут для фикса баги с непомуком, активитиз - для фикса баги с активитиз, авахи - т.к. в логах увидел ошибку с недостачей юзера avahi.
Comment 7 Alexander Burmashev 2012-04-06 12:37:33 MSD
Как обстоят дела в  исошках 191 и выше ?
Comment 8 Anton Peyter 2012-04-09 18:37:14 MSD
Проверил на 194 образе, ситуация не изменилась-47 сек.
Comment 9 Alexander Burmashev 2012-04-09 18:38:55 MSD
32 или 64 ?
Comment 10 Anton Peyter 2012-04-09 18:46:09 MSD
32 битная
Comment 11 Aleksandr Kazantcev 2012-04-09 19:04:57 MSD
А

а) пакеты указанные выше в основных репах?
б) патчи в 4.8.2 интегрированы?
Comment 12 luca 2012-04-09 22:21:00 MSD
why don't you post in english?
so we all can understand?

thanks.
Comment 13 Alexander Burmashev 2012-04-09 22:26:26 MSD
Sorry, short summary.

Some people report that KDE on 188 prodcut image is very long to start ( about 45-50 seconds ).

I proposed some updates to fix it and added them to repo.

But on product 190 ( public beta ) and later this problem ( long KDE login ) still persists.
Comment 14 luca 2012-04-09 23:09:01 MSD
yes, i can confirm.

version 193 
kde updated now

kde login is still very slow.
Comment 15 Alexander Burmashev 2012-04-10 21:33:38 MSD
one thing that can be done ( and it will be fixed in some way in future images ) is urpmi --replacepkg avahi.
Try it and it may lower login time a bit.
Comment 16 luca 2012-04-10 22:26:03 MSD
yes, now it starts in few seconds.

Thanks.
Comment 17 Aleksandr Kazantcev 2012-04-10 22:27:28 MSD
Will upper release for avahi and rebuild in repo :)
Comment 18 Anton Peyter 2012-04-11 12:46:11 MSD
boot time with fix - 19 seconds
ROSA EE - 17 seconds
Comment 19 FirstLevel 2012-04-23 16:59:50 MSD
I have Compaq 6910p with installed 2012 LTS (up-to-date)/
The login takes about one minute (time from enter password to the moment when KDE desktop is appeared).
[sergei@test ~]$ rpm -qa | grep kdebase4
kdebase4-runtime-4.8.2-3-rosa.lts2012.0.i586
kdebase4-workspace-4.8.2-3-rosa.lts2012.0.i586
rpm -qa | grep kdm
kdmfprintplugin-0.0-0.1050414.5-rosa.lts2012.0.i586
kdm-4.8.2-3-rosa.lts2012.0.i586
Comment 20 Aleksandr Kazantcev 2012-04-23 17:01:50 MSD
urpmi --replacepkg avahi
Comment 21 Alexander Burmashev 2012-04-24 12:12:48 MSD
this should already be fixed in the latest iso images.
Comment 22 Alexander Petryakov 2012-04-25 11:13:45 MSD
*** Bug 116 has been marked as a duplicate of this bug. ***
Comment 23 Alexander Burmashev 2012-04-25 14:19:16 MSD
Tested on latest iso and the problem seem to be fixed.
I am closing the bug - plz open it if the problem persists.